[ Identification | Description | Input parameters | Output parameters | Links ]

# The `MirrorPara` Component

Parabolic mirror.

## Identification

- Author: Sylvain Desert
- Origin: LLB
- Date: 2007
- Version: 1.1

## Description

    Models a parabolic mirror. The reflectivity profile is given by a 2-column reflectivity free
    text file with format [q(Angs-1) R(0-1)].

    Example:  MirrorPara(reflect="supermirror_m3.rfl", deltaxfaisceau = 0.05, ecartx=0.05,
    				  yheight = 2e-4, focus = 6.6e-4)

    Example values: reflect="supermirror_m3.rfl" deltafaisceau=0.05 yheight=2e-4 focus=6.6e-4 ecartx=0.05

    Example instrumentfile FocalisationMirrors.instr is available in the examples/ folder.

WARNING: This is a contributed Component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
reflect | str | Reflectivity file name. Format [q(Angs-1) R(0-1)] | 0
deltaxfaisceau | m | width of the lighntened parrabola |
ecartx | m | distance between the beam centre and the symetric axis of the parrabolla | 0.019
yheight | m | height of the mirror |
focus | m | focal length |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
beta1 |  |  |
gamma1 |  |  |
err |  |  |
nom |  |  |
vz_neg |  |  |
p_0 |  |  |

## Links

- Source code for `MirrorPara.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]